import { WritableComputedRef } from "vue";
const KEYS = {
  LANGUAGE_COOKIE_KEY: "site_locale",
  AUTH_COOKIE_KEY: "auth_token",
  WEB_VIEW_AUTH_COOKIE_KEY: "web_view_auth_token",
  IN_WEB_VIEW: "is_web_view",
  USER_CURRENCY: "currency",
  WEB_ID: "web_id",
  ALREADY_REDIRECT_TO_SPORT: "alreadyRedirectToSport",
  RESOURCE_EXPIRES: "resource_expires",
  AUTH_REFRESH: "auth_refresh",
  AUTH_REFRESH_INTERVAL_ID: "auth_interval_id",
  SERVER_NAME: "data-sv",
  LAYOUT: "theme-layout",
  THEME_NAME: "theme-name",
  HOMEPAGE_REDIRECT: "homepage-redirect",
  HAS_HOME_REDIRECT: "has-home-redirect",
  IS_PERU_SHOP_ENABLED: "is-peru-shop-enabled",
  ALL_CUSTOMER_SETTINGS: "all-customer-settings",
  SPORT_API_URL: "sport_api_url",
  SPORT_SESSION_ID: "sport_session_id",
  VISITOR_ID: "visitor-id",
  HAS_SHOW_POPUP_BEFORE: "has-been-show-pop-up-before",
  WL_SPORT: "wl-sport",
  GTM_ID: "gtm-id-internal",
  ORIGINAL_THEME_NAME: "original-theme-name",
  IS_INDEPENDENT_MODULE: "isIndependentModule",
  SELECTED_COLOR_CONFIG: "selectedColorConfig",
};
const VALUES = {
  RESOURCE_EXPIRES_TIME: 3,
  AUTH_REFRESH_TIME: 1000 * 60 * 20, // 20 minutes
};
type LOCALES =
  | "my_MM"
  | "en"
  | "id_ID"
  | "ja_JP"
  | "km_KH"
  | "ko_KR"
  | "cn_MY"
  | "zh_CN"
  | "th_TH"
  | "zh_TW"
  | "vi-VN";
const STORE_MUTATIONS = {
  WEB_ID: "updateWebId",
  AUTH: "updateAuth",
  TOKEN: "updateToken",
  GAMES: "updateGames",
  CURRENCY: "updateCurrency",
  GEOGRAPHY: "updateGeography",
  IS_THEME_PROPERTY_LOADING: "updateIsThemePropertyLoading",
  IS_GAME_UPDATE_LOADING: "updateIsGameUpdateLoading",
  SELECTED_THEME_NAME: "updateSelectedThemeName",
  ORIGINAL_THEME_NAME: "updateOriginalThemeName",
  PREFIX_SELECTED_THEME: "updatePrefixSelectedTheme",
  DISPLAY_LOCAL_TIME: "updateDisplayLocalTime",
  IS_SUSPENDED: "updateIsSuspended",
  IS_CASH_PLAYER: "updateIsCashPlayer",
  IS_STOCK_PLAYER: "updateIsStockPlayer",
  IS_PASSWORD_EXPIRED: "updateIsPasswordExpired",
  IS_LOGIN_NAME_UPDATED: "updateIsLoginNameUpdated",
  IS_PAYMENT_PASSWORD_SET: "updateIsPaymentPasswordSet",
  TAB_INFOS: "updateTabInfos",
  USERNAME: "updateUsername",
  CUSTOMER_ID: "updateCustomerId",
  ONLINE_ID: "updateOnlineId",
  IS_IMAGE_LESS_1MB_ENABLED: "updateIsImageLess1MBEnabled",
  GAME_PROVIDERS: "updateGameProviders",
  GAME_TAB_PROVIDER_LIST: "updateGameTabProviderList",
  SKIP_LOGIN: "updateSkipLogin",
  NOTIFICATION: "updateNotification",
  AGENT_COOPERATION_DIALOG: "updateAgentCooperationDialog",
  REGISTER_DIALOG: "updateRegisterDialog",
  LOGIN_DIALOG: "updateLoginDialog",
  SIDEBAR: "updateSidebar",
  UM: "updateUm",
  LOCALE: "updateLocale",
  LANGUAGE: "updateLanguage",
  IMAGE_VERSION: "updateImageVersion",
  RESET_DEFAULT_INFORMATION: "resetDefaultInformation",
  COMPANY_THEME_PROPERTIES_FROM_API: "updateCompanyThemePropertiesFromApi",
  HOME_PAGE: "updateHomepage",
  IS_REFERRAL: "updateIsReferralEnabled",
  IS_SHOW_REFERRAL: "updateIsShowReferralPage",
  IS_PERO_SHOP_ENABLED: "updateIsPerushopEnabled",
  VISITOR_ID: "updateVisitorId",
  ALL_CUSTOMER_SETTINGS: "updateAllCustomerSettings",
};
const BET_HISTORY_TAB = {
  SPORT: "sport",
  VIRTUAL_SPORT: "vSport",
  CASINO: "casino",
  GAME_BET: "gameBet",
  COCKFIGHT: "cockfight",
  POKER: "poker",
  LOTTERY: "lottery",
};
const ROUTES = {
  BET_HISTORY: "/bet-history",
  ACCOUNT: {
    INFO: "/account",
    PASSWORD: "/account/password",
  },
};

const BET_HISTORY_ROUTES = {
  INDEX: ROUTES.BET_HISTORY,
  SPORT: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.SPORT,
  VIRTUAL_SPORT: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.VIRTUAL_SPORT,
  CASINO: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.CASINO,
  GAME_BET: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.GAME_BET,
  COCKFIGHT: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.COCKFIGHT,
  POKER: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.POKER,
  LOTTERY: ROUTES.BET_HISTORY + "/" + BET_HISTORY_TAB.LOTTERY,
};
const RADIO_GROUP_KEY: InjectionKey<{
  selected: WritableComputedRef<string>;
  groupName: ComputedRef<String>;
}> = Symbol("ui-radio-group-key");

const CURRENCY_SIGN = {
  AUD: "$",
  BDT: "৳",
  BND: "$",
  CAD: "$",
  CHF: "Fr.",
  CNY: "¥",
  GBP: "£",
  HKD: "$",
  IDR: "Rp",
  IDO: "Rp",
  INR: "₹",
  JPY: "¥",
  KRW: "₩",
  LAK: "₭",
  MMK: "K",
  MYK: "K",
  MYR: "RM",
  NOK: "kr",
  NPR: "₨",
  NZD: "$",
  SEK: "kr",
  THB: "฿",
  UCC: "$",
  USD: "$",
  VND: "₫",
  VNO: "₫",
  ZAR: "R",
  AED: "د.إ",
  RUB: "₽",
  BRL: "R$",
  MXN: "$",
  EUR: "€",
  KHR: "៛",
  NGN: "₦",
  TRY: "₺",
  LKR: "Rs",
  PKR: "₨",
  CLP: "$",
  PEN: "S/",
  COP: "$",
  VES: "Bs.S",
  MNT: "₮",
  MAD: "د.م.",
  DZD: "د.ج",
};
const ID = {
  SIGNUP: "signupBtn",
  PROMOTION_INFO: "promotion_info",
  PROMOTION_APPLY: "promotion_apply",
  ADS: {
    LOBBY_LEFT: "lobby_left_side_click",
    LOGIN: "login_advertisement_click",
    popup_ads_1: "popup_ads_1_click",
    popup_ads_2: "popup_ads_2_click",
    popup_ads_3: "popup_ads_3_click",
  },
  INDEX_BLOG_ONE: {
    BLOG_ONE: "blog_one_click",
    BLOG_TWO: "blog_two_click",
    BLOG_THREE: "blog_three_click",
    BLOG_FOUR: "blog_four_click",
  },
  INDEX_BLOG_TWO: {
    BLOG_ONE: "blog_one_click",
    BLOG_TWO: "blog_two_click",
    BLOG_THREE: "blog_three_click",
    BLOG_FOUR: "blog_four_click",
  },
  USER_CENTER: {
    DEPOSIT: "ucDepositTab",
    WITHDRAW: "ucWithdrawalTab",
    WALLET: "ucWalletTab",
    ACCOUNT: "ucAccountTab",
    STATEMENT: "ucStatementTab",
    BET_HISTORY: "ucBetHistoryTab",
    PROMOTION: "ucPromotionTab",
    MESSAGE: "ucMessagesTab",
    REFERRAL: "ucReferralTab",
    TRANSACTION_HISTORY: "ucTransactionHistoryTab",
  },
  DEPOSIT_HEADER_DESKTOP: "deposit_header_desktop_click",
  DEPOSIT_SIDE_BAR: "deposit_sidebar_click",
  DEPOSIT_BOTTOM_BAR_MOBILE: "deposit_bottombar_mobile_click",
  WITHDRAWAL_SIDE_BAR: "withdrawal_sidebar_click",
  WITHDRAWAL_HEADER_DESKTOP: "withdrawal_header_desktop_click",
  TRANSACTION_HEADER_DESKTOP: "transaction_header_desktop_click",
  TAB_TYPE: {
    HOME: "home_click",
    sports: "sports_click",
    virtual_sports: "virtual_sports_click",
    live_casino: "live_casino_click",
    games: "game_click",
    lottery: "lottery_click",
    cock_fight: "cockfight_click",
    poker: "poker_click",
    PROMOTION: "promotion_click",
  },
  TAB_TYPE_MOBILE_RIGHT_SIDE_BAR: {
    HOME: "home_click_mobile",
    sports: "sports_click_mobile",
    sport: "sports_click_mobile",
    virtual_sports: "virtual_sports_click_mobile",
    virtual: "virtual_sports_click_mobile",
    casino: "live_casino_click_mobile",
    live_casino: "live_casino_click_mobile",
    games: "game_click_mobile",
    game: "game_click_mobile",
    lottery: "lottery_click_mobile",
    cock_fight: "cockfight_click_mobile",
    poker: "poker_click_mobile",
    PROMOTION: "promotion_click_mobile",
  },
  TAB_TYPE_MOBILE_BOTTOM_BAR: {
    HOME: "home_click_mobile_bottom_bar",
    PROMOTION: "promotion_click_mobile_bottom_bar",
  },
  MENU: "menu_click",
  VIEW_ALL_GAME: "view_all_game_click",
  PROMOTION_LEFT_SIDE: "promotion_left_side_click",
  GAME_TYPE_CATEGORY: {
    SLOTS: "slots_click",
    ARCADEGAMES: "arcade_click",
    TABLEGAMES: "table_click",
    FISHINGGAMES: "fishing_click",
    LOTTERYGAMES: "lottery_games_click",
    VIRTUALGAMES: "virtual_click",
    SCRATCHCARDS: "scratchcards_click",
    OTHERSGAMES: "other_games_click",
  },
  FAVORITE: "favorite_click",
  NEW_GAMES: "new_games_click",
  ALL_GAMES: "all_games_click",
  HOT_GAMES: "hot_games_click",
  GAME_TYPE: "game_type_click",
  SPECIAL_SELECTION: "special_selection_click",
  PROVIDER: "provider_click",
  SEARCH_GAMES: "game-search-submit-button",
  HAMBURGER: "hamburger_button_click",
  SIDE_BAR_MENU: {
    wallet: "wallet_side_bar",
    account: "account_side_bar",
    statement: "statement_side_bar",
    bet_history: "bet_history_side_bar",
    promotion: "promotion_side_bar",
  },
  SPORT_MODULE_2:{
    '-1': 'sbobet_sport_module_02_click',
    '1015': 'afbsports_sport_module_02_click',
    '44': 'saba_sport_module_02_click',
    '49': 'rcs_sport_module_02_click',
    '1': 'sbo_live_sport_module_02_click',
    '1011': 'digitain_sport_module_02_click',
    '1023': 'afb_mp_sport_module_02_click',
    '1022': 'bti_sport_module_02_click',
    '1053': 'pandasports_sport_module_02_click',
    '-2': 'amg_sprots_sport_module_02_click',
  },
  PROMOTION_TYPE_ID: {
    1: 'register_bonus',
    2: 'first_deposit_bonus',
    3: 'daily_deposit_bonus',
    4: 'deposit_bonus',
    5: 'rebate_on_turnovers',
    6: 'rebate_on_turnover_lose_only',
    7: 'referral',
    8: 'rebate_on_deposit_and_withdrawal',
    9: 'rebate_on_winlose',
    10: 'lucky_wheel_bonus',
  },
  PROVIDER_MODULE_ONE: {
    sports: "provider_sports_click",
    virtual_sports: "provider_virtual_sports_click",
    live_casino: "provider_live_casino_click",
    games: "provider_games_click",
    cockfighting: "provider_cockfighting_click",
    lottery: "provider_lottery_click",
    poker: "provider_poker_click",
  },
  LOBBY_BANNER: {
    lobby_banner_1: "lobby_banner_1_click",
    lobby_banner_2: "lobby_banner_2_click",
    lobby_banner_3: "lobby_banner_3_click",
    lobby_banner_4: "lobby_banner_4_click",
    lobby_banner_5: "lobby_banner_5_click",
    lobby_banner_6: "lobby_banner_6_click",
    lobby_banner_7: "lobby_banner_7_click",
    lobby_banner_8: "lobby_banner_8_click",
    lobby_banner_9: "lobby_banner_9_click",
    lobby_banner_10: "lobby_banner_10_click",
  }
};
export {
  KEYS,
  LOCALES,
  STORE_MUTATIONS,
  BET_HISTORY_TAB,
  ROUTES,
  BET_HISTORY_ROUTES,
  VALUES,
  RADIO_GROUP_KEY,
  CURRENCY_SIGN,
  ID,
};
